classification
Title: "NameError: name 'AttributeError' is not defined"
Type: behavior Stage: resolved
Components: Versions: Python 3.6
process
Status: closed Resolution: rejected
Dependencies: Superseder:
Assigned To: Nosy List: iritkatriel, sasowmy1, serhiy.storchaka
Priority: normal Keywords:

Created on 2020-09-22 07:52 by sasowmy1, last changed 2021-05-26 13:28 by iritkatriel. This issue is now closed.

Messages (4)
msg377305 - (view) Author: sanka sowmya (sasowmy1) Date: 2020-09-22 07:52
I am using 3.6.8 version of python.
I am seeing an error as NameError: name 'AttributeError' is not defined

URL where logs can be seen:https://bpa.st/DDTQ
msg377307 - (view) Author: Serhiy Storchaka (serhiy.storchaka) * (Python committer) Date: 2020-09-22 08:27
It can happen when some objects with __del__ are kept alive at the interpreter shutdown stage and outlive the builtins module. I have not seen such errors for a long time. Could you reproduce it on newer Python versions? Could you reproduce it with simpler script?
msg393289 - (view) Author: Irit Katriel (iritkatriel) * (Python committer) Date: 2021-05-08 23:42
The link to the logs is not working now, and without more info there isn't much we can do. Sanka, are you able to reproduce this on a newer python version and tell us how?
msg394432 - (view) Author: Irit Katriel (iritkatriel) * (Python committer) Date: 2021-05-26 13:28
Sanka, please create a new issue if you can provide more info about the problem.
History
Date User Action Args
2021-05-26 13:28:13iritkatrielsetstatus: pending -> closed

messages: + msg394432
stage: resolved
2021-05-08 23:42:26iritkatrielsetstatus: open -> pending

nosy: + iritkatriel
messages: + msg393289

resolution: rejected
2020-09-22 08:27:32serhiy.storchakasetnosy: + serhiy.storchaka
messages: + msg377307
2020-09-22 07:52:06sasowmy1create